<template>
  <figure>
    <audio controls :src="globalState.currentQuestionAnswer.audioPath"></audio>
  </figure>
  <a :href="globalState.currentQuestionAnswer.audioPath">Download audio</a>
</template>

<style>
.radio-answers {
  margin-top: 50px;
}
</style>

<script setup>
import { ref } from 'vue';
const { questionAnswers } = defineProps(['questionAnswers']);
// import { useStatefulComposable } from '@/composables/stateful-composable';


const selectedAnswer = ref('');
const answerOptions = ['A', 'B', 'C', 'D'];
const message = ref('');
const isCorrect = ref(false);
const id = ref(null);

const { globalState, updateValues } = useStatefulComposable();

async function checkSelectedAnswer() {
  try {
    const response = await fetch('http://localhost:8080/api/game/question-answer/check', {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      body: JSON.stringify({
        id: globalState.currentQuestionAnswer.id,
        answer: selectedAnswer.value,
      }),
    });

    console.log("ID", id)
    console.log("Selected", selectedAnswer.value)

    if (!response.ok) {
      throw new Error('Failed to check answer');
    }

    const answerStatus = await response.json();
    console.log("zAnswer:", answerStatus)
    if (answerStatus.success) {
      console.log("Correct")
      message.value = 'Correct answer!';
      isCorrect.value = true;
    } else {
      message.value = 'Incorrect answer, try again.';
      isCorrect.value = false;
    }
  } catch (error) {
    console.error('Error checking answer:', error);
  }
}

defineExpose({
  selectedAnswer,
  answerOptions,
  message, isCorrect,
  checkSelectedAnswer
});
</script>